> On Oct. 15, 2014, 1:13 a.m., Maxim Khutornenko wrote:
> > Should we rather do it in 0.7.0 as deprecation warning suggests? If it's 
> > dropped now the client will be unable to talk to 0.5.0 scheduler.

No thrift changes are made here.  This is the client preparing for removal of 
the deprecated getVersion call.  All fields used here are 0.5.0-compatible.


- Bill


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/26714/#review56633
-----------------------------------------------------------


On Oct. 14, 2014, 11:22 p.m., Bill Farner wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/26714/
> -----------------------------------------------------------
> 
> (Updated Oct. 14, 2014, 11:22 p.m.)
> 
> 
> Review request for Aurora, Joshua Cohen and Maxim Khutornenko.
> 
> 
> Repository: aurora
> 
> 
> Description
> -------
> 
> Remove use of the getVersion RPC from the client.
> 
> 
> Diffs
> -----
> 
>   src/main/python/apache/aurora/client/api/scheduler_client.py 
> 7f1c82bdbca427d1a09271b1e22f77f66da8e767 
>   src/test/python/apache/aurora/client/api/test_restarter.py 
> f1bf545a1aa1ab36f05fb0c6ea2ac7e4b1677932 
>   src/test/python/apache/aurora/client/api/test_scheduler_client.py 
> d78e7dca28d67997bc6c98cff619ab94a257c7dc 
>   src/test/python/apache/aurora/client/api/test_updater.py 
> e8eaa9e6aa5fb3bc52a7195c26d9bd8294256780 
>   src/test/python/apache/aurora/client/cli/test_api_from_cli.py 
> a2b28ba23961284ba60358af54726e0386dd69b6 
>   src/test/python/apache/aurora/client/fake_scheduler_proxy.py 
> 12e70e9be9e3cf707f760ccd314c79825924c8bb 
> 
> Diff: https://reviews.apache.org/r/26714/diff/
> 
> 
> Testing
> -------
> 
> ./build-support/jenkins/build.sh
> 
> 
> Thanks,
> 
> Bill Farner
> 
>

Reply via email to